import httpRequest from '@/utils/axios'

// 获取大客户列表
export function getCustomerList(params) {
  return httpRequest.get('/api/customer/admin/v1/customers', { params })
}
// 新建客户
export function createCustomer(data) {
  return httpRequest.post('/api/customer/admin/v1/customer', data)
}
// 获取客户详情
export function getCustomerDetail(id) {
  return httpRequest.get(`/api/customer/admin/v1/customer/${id}`)
}
// 更新客户
export function updateCustomer(id, data) {
  return httpRequest.put(`/api/customer/admin/v1/customer/${id}`, data)
}
// 删除客户
export function deleteCustomer(id) {
  return httpRequest.delete(`/api/customer/admin/v1/customer/${id}`)
}
// 新建联系人
export function createContact(data) {
  return httpRequest.post('/api/customer/admin/v1/{customer_id}/contact', data)
}
// 获取联系人
export function getContactList(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.customer_id}/contacts`, params)
}
